Go to the first, previous, next, last section, table of contents.

### `utrunc`, `udecomp`, `ureverse`

`utrunc(p,d)`
`udecomp(p,d)`
`ureverse(p)`
  :: Operations on polynomials

return
  univariate polynomial or list of univariate polynomials
p
  univariate polynomial
d
  non-negative integer

- Let x be the variable of p. Then p can be decomposed as p = p1+x^(d+1)p2, where the degree of p1 is less than or equal to d. Under the decomposition, `utrunc()` returns p1 and `udecomp()` returns [p1,p2].
- Let e be the degree of p and p[i] the coefficient of p at degree i. Then `ureverse()` returns p[e]+p[e-1]x+....

    [132] utrunc((x+1)^10,5);
    252*x^5+210*x^4+120*x^3+45*x^2+10*x+1
    [133] udecomp((x+1)^10,5);
    [252*x^5+210*x^4+120*x^3+45*x^2+10*x+1,x^4+10*x^3+45*x^2+120*x+210]
    [134] ureverse(3*x^3+x^2+2*x);
    2*x^2+x+3

`References`
  section `udiv`, `urem`, `urembymul`, `urembymul_precomp`, `ugcd`.

Go to the first, previous, next, last section, table of contents.